Bug 225799 - Crash in lastfm::ws::parse [QIODevicePrivate::isSequential]
Summary: Crash in lastfm::ws::parse [QIODevicePrivate::isSequential]
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Local (show other bugs)
Version: 2.2.2
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 228094 230838 235389 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-02-07 07:42 UTC by Valorie Zimmerman
Modified: 2010-06-01 04:42 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Valorie Zimmerman 2010-02-07 07:42:24 UTC
Application that crashed: amarok
Version of the application: 2.2.2
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-19-generic x86_64
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
last bit in the console:

amarok:     [Playlist::Actions] Successfully played track. Resetting failure count.                                      
amarok:   END__: void EngineSubject::stateChangedNotify(Phonon::State, Phonon::State) - Took 0.027s                      
amarok: END__: void EngineController::slotStateChanged(Phonon::State, Phonon::State) - Took 0.027s                       
amarok: BEGIN: void PhotosEngine::resultFlickr(KJob*)                                                                    
amarok:    "http://www.flickr.com/photos/54737362@N00/382072011"                                                         
amarok:    "http://www.flickr.com/photos/54737362@N00/468114900"                                                         
amarok:    "http://www.flickr.com/photos/31675361@N00/3753171614"                                                        
amarok:    "http://www.flickr.com/photos/54737362@N00/356166858"                                                         
amarok:    "http://www.flickr.com/photos/20996439@N00/535840523"                                                         
amarok:    "http://www.flickr.com/photos/31140271@N06/4198236472"                                                        
amarok:    "http://www.flickr.com/photos/54737362@N00/1984387830"                                                        
amarok:    "http://www.flickr.com/photos/41625052@N00/115129346"                                                         
amarok:    "http://www.flickr.com/photos/32016082@N04/3422934748"                                                        
amarok:    "http://www.flickr.com/photos/17495422@N00/2078036665"                                                        
amarok:    Flickr fetch :  10  photos                                                                                    
amarok: END__: void PhotosEngine::resultFlickr(KJob*) - Took 0.0024s                                                     
amarok: BEGIN: void AmarokDownloadHelper::resultData(KJob*)                                                              
amarok:   BEGIN: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool)                             
amarok:   END__: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) - Took 0.00031s             
amarok: END__: void AmarokDownloadHelper::resultData(KJob*) - Took 0.045s                                                
amarok: BEGIN: void Dynamic::SimilarArtistsBias::artistQueryDone()                                                       
amarok: END__: void Dynamic::SimilarArtistsBias::artistQueryDone() - Took 0.034s                                         
amarok: BEGIN: void Dynamic::SimilarArtistsBias::artistQueryDone()                                                       
amarok:    [ERROR!] "GREPME MySQLe query failed! Table 'tracks' is marked as crashed and should be repaired on SELECT urls.uniqueid FROM  tracks INNER JOIN urls ON tracks.url = urls.id LEFT JOIN artists ON tracks.artist = artists.id WHERE 1  AND ( 1  AND  ( 0   OR  artists.name  = 'Why?'    OR  artists.name  = 'Spiral Stairs'    OR  artists.name  = 'Sunset Rubdown'    OR  artists.name  = 'British Sea Power'    OR  artists.name  = 'Mercury Rev'    OR  artists.name  = 'Ambulance LTD'    OR  artists.name  = 'The Lemonheads'    OR  artists.name  = '...And You Will Know Us by the Trail of Dead'    OR  artists.name  = 'The Feelies'    OR  artists.name  = 'Teenage Fanclub'    OR  artists.name  = 'Arcade Fire'    OR  artists.name  = 'Midlake'    OR  artists.name  = 'Grizzly Bear'    OR  artists.name  = 'Sleater-Kinney'    OR  artists.name  = 'Ugly Casanova'    OR  artists.name  = 'Art Brut'    OR  artists.name  = 'Jay Reatard'    OR  artists.name  = 'Camper Van Beethoven'    OR  artists.name  = 'The Apples in Stereo'    OR  artists.name  = 'Heatmiser'    OR  artists.name  = 'The Beta Band'    OR  artists.name  = 'Los Campesinos!'    OR  artists.name  = 'Beulah'    OR  artists.name  = 'Ted Leo and The Pharmacists'    OR  artists.name  = 'Hüsker Dü'    OR  artists.name  = 'Portastatic'    OR  artists.name  = 'Califone'    OR  artists.name  = 'Super Furry Animals'    OR  artists.name  = 'The National'    OR  artists.name  = 'The Amps'    OR  artists.name  = 'Dirty Projectors'    OR  artists.name  = 'Tapes \'n Tapes'    OR  artists.name  = 'Frank Black'    OR  artists.name  = 'Wolf Parade'    OR  artists.name  = 'The Unicorns'    OR  artists.name  = 'Thurston Moore'    OR  artists.name  = 'Broken Social Scene'    OR  artists.name  = 'Dr. Dog'    OR  artists.name  = 'Robert Pollard'    OR  artists.name  = 'Sparklehorse'    OR  artists.name  = 'Clap Your Hands Say Yeah'    OR  artists.name  = 'Liars'    OR  artists.name  = 'The Fiery Furnaces'    OR  artists.name  = 'The Folk Implosion'    OR  artists.name  = 'Polvo'    OR  artists.name  = 'Slint'    OR  artists.name  = 'Japandroids'    OR  artists.name  = 'Silkworm'    OR  artists.name  = 'Circulatory System'    OR  artists.name  = 'Les Savy Fav'    OR  artists.name  = 'Wilco'    OR  artists.name  = 'Quasi'    OR  artists.name  = 'Mission of Burma'    OR  artists.name  = 'Galaxie 500'    OR  artists.name  = 'Eric\'s Trip'    OR  artists.name  = 'Animal Collective'    OR  artists.name  = 'The Wedding Present'    OR  artists.name  = 'mclusky'    OR  artists.name  = 'The Magnetic Fields'    OR  artists.name  = 'The Hold Steady'    OR  artists.name  = 'Smog'    OR  artists.name  = 'Vivian Girls'    OR  artists.name  = 'Deerhoof'    OR  artists.name  = 'Modest Mouse'    OR  artists.name  = 'The Breeders'    OR  artists.name  = 'The Olivia Tremor Control'    OR  artists.name  = 'The Thermals'    OR  artists.name  = 'My Bloody Valentine'    OR  artists.name  = 'The Replacements'    OR  artists.name  = 'The Walkmen'    OR  artists.name  = 'Destroyer'    OR  artists.name  = 'Beat Happening'    OR  artists.name  = 'Cymbals Eat Guitars'    OR  artists.name  = 'Real Estate'    OR  artists.name  = 'Spoon'    OR  artists.name  = 'The Microphones'    OR  artists.name  = 'The Wrens'    OR  artists.name  = 'Pixies'    OR  artists.name  = 'Times New Viking'    OR  artists.name  = 'Titus Andronicus'    OR  artists.name  = 'No Age'    OR  artists.name  = 'Grandaddy'    OR  artists.name  = 'Neutral Milk Hotel'    OR  artists.name  = 'The Flaming Lips'    OR  artists.name  = 'Deerhunter'    OR  artists.name  = 'Sonic Youth'    OR  artists.name  = 'Girls'    OR  artists.name  = 'The Dismemberment Plan'    OR  artists.name  = 'The Halo Benders'    OR  artists.name  = 'Archers of Loaf'    OR  artists.name  = 'Superchunk'    OR  artists.name  = 'Dinosaur Jr.'    OR  artists.name  = 'Preston School of Industry'    OR  artists.name  = 'Guided by Voices'    OR  artists.name  = 'Sebadoh'    OR  artists.name  = 'Yo La Tengo'    OR  artists.name  = 'Built to Spill'    OR  artists.name  = 'Silver Jews'    OR  artists.name  = 'Stephen Malkmus and the Jicks'    OR  artists.name  = 'Stephen Malkmus'  ) )  ORDER BY RAND();"
amarok:   BEGIN: void Dynamic::SimilarArtistsBias::updateReady(QString, QStringList)
KCrash: Application 'amarok' crashing...
sock_file=/home/valorie/.kde/socket-valorie-laptop/kdeinit4__0
system call fstat: Bad file descriptor
(gdb)

Tried a bt after that: "no stack"



 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7ffff7fb8770 (LWP 4983))]

Thread 18 (Thread 0x7fffdfc15910 (LWP 4984)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fffe418fc91 in metronom_sync_loop (this=0x975160) at metronom.c:870
#2  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fffde095910 (LWP 4985)):
#0  0x00007ffff509a3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=3) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fffee63a37c in g_main_context_poll (context=0x7a5160, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2904
#2  g_main_context_iterate (context=0x7a5160, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2586
#3  0x00007fffee63a6c0 in IA__g_main_context_iteration (context=0x7a5160, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#4  0x00007ffff59ca1fe in QEventDispatcherGlib::processEvents (this=0x8934a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#5  0x00007ffff59a0532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007ffff59a0904 in QEventLoop::exec (this=0x7fffde094fe0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007ffff58b86cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007fffe43ea56e in Phonon::Xine::XineThread::run (this=0x7b3a60) at ../../xine/xinethread.cpp:143
#9  0x00007ffff58bb445 in QThreadPrivate::start (arg=0x7b3a60) at thread/qthread_unix.cpp:188
#10 0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 16 (Thread 0x7fffd4c80910 (LWP 4993)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fffe41a0983 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 15 (Thread 0x7fffdc5d9910 (LWP 4994)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fffe41a0983 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 14 (Thread 0x7fffdaef9910 (LWP 4997)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ffff58bc4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x12740a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12740a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ffff2c97326 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007ffff2c9945b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007ffff2c99474 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007ffff2c97a5f in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007ffff2c97eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#8  0x00007ffff58bb445 in QThreadPrivate::start (arg=0x12210c0) at thread/qthread_unix.cpp:188
#9  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fffce10d910 (LWP 4998)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ffff58bac93 in QMutexPrivate::wait (this=0xd8423a0, timeout=-1) at thread/qmutex_unix.cpp:80
#2  0x00007ffff58b6865 in QMutex::lock (this=0xac9cb80) at thread/qmutex.cpp:207
#3  0x00007fffd50a8305 in QMutexLocker::relock (this=<value optimized out>, collectionId=<value optimized out>, uids=) at /usr/include/qt4/QtCore/qmutex.h:120
#4  QMutexLocker (this=<value optimized out>, collectionId=<value optimized out>, uids=) at /usr/include/qt4/QtCore/qmutex.h:102
#5  Dynamic::SimilarArtistsBias::updateReady (this=<value optimized out>, collectionId=<value optimized out>, uids=)
    at /build/buildd/amarok-2.2.2/src/services/lastfm/biases/SimilarArtistsBias.cpp:229
#6  0x00007fffd50aa8c2 in Dynamic::SimilarArtistsBias::qt_metacall (this=0xac9cb30, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=<value optimized out>)
    at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/services/lastfm/SimilarArtistsBias.moc:75
#7  0x00007ffff59b6ddc in QMetaObject::activate (sender=0xbb4a700, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#8  0x00007ffff710c08a in QueryMaker::newResultReady (this=0xd8423ec, _t1=<value optimized out>, _t2=<value optimized out>) at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/QueryMaker.moc:152
#9  0x00007ffff710c494 in QueryMaker::qt_metacall (this=0xbb4a700, _c=<value optimized out>, _id=<value optimized out>, _a=<value optimized out>)
    at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/QueryMaker.moc:90
#10 0x00007fffdb3ed4f0 in SqlQueryMaker::qt_metacall (this=0xd8423ec, _c=128, _id=1, _a=0xffffffffffffffff)
    at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/collection/mysqlecollection/SqlQueryMaker.moc:78
#11 0x00007ffff59b6ddc in QMetaObject::activate (sender=0x11183440, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#12 0x00007fffdb3a365a in SqlQueryMakerInternal::newResultReady (this=0xd8423ec, _t1=<value optimized out>, _t2=<value optimized out>)
    at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/collection/mysqlecollection/moc_SqlQueryMakerInternal.cpp:149
#13 0x00007fffdb3f55b3 in SqlQueryMakerInternal::handleResult (this=0x11183440, result=<value optimized out>) at /build/buildd/amarok-2.2.2/src/collection/sqlcollection/SqlQueryMakerInternal.cpp:116
#14 0x00007fffdb3f5825 in SqlQueryMakerInternal::run (this=0x11183440) at /build/buildd/amarok-2.2.2/src/collection/sqlcollection/SqlQueryMakerInternal.cpp:47
#15 0x00007fffdb3f2d8d in SqlWorkerThread::run (this=0xdeaa980) at /build/buildd/amarok-2.2.2/src/collection/sqlcollection/SqlQueryMaker.cpp:66
#16 0x00007ffff2c9875d in ?? () from /usr/lib/libthreadweaver.so.4
#17 0x00007ffff2c98a5e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#18 0x00007ffff2c97a2f in ?? () from /usr/lib/libthreadweaver.so.4
#19 0x00007ffff2c97eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#20 0x00007ffff58bb445 in QThreadPrivate::start (arg=0x11f9fe0) at thread/qthread_unix.cpp:188
#21 0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#22 0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#23 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fffcd90c910 (LWP 5002)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ffff58bc4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x12740a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12740a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ffff2c97326 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007ffff2c9945b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007ffff2c99474 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007ffff2c99474 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007ffff2c99474 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007ffff2c97a5f in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x00007ffff2c97eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#10 0x00007ffff58bb445 in QThreadPrivate::start (arg=0x1026ce0) at thread/qthread_unix.cpp:188
#11 0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fffcd10b910 (LWP 5003)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ffff58bc4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x12740a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12740a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ffff2c97326 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007ffff2c9945b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007ffff2c99474 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007ffff2c99474 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007ffff2c97a5f in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007ffff2c97eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0x00007ffff58bb445 in QThreadPrivate::start (arg=0x103b200) at thread/qthread_unix.cpp:188
#10 0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fffb0eca910 (LWP 5731)):
#0  0x00007ffff509a3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fffdeffb20f in poll_func (ufds=0x1f8f870, nfds=2, timeout=-1, userdata=0xbf25810) at pulse/thread-mainloop.c:75
#2  0x00007fffdefeb5e6 in pa_mainloop_poll (m=0xbffb950) at pulse/mainloop.c:879
#3  0x00007fffdefeceb9 in pa_mainloop_iterate (m=0xbffb950, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00007fffdefecf70 in pa_mainloop_run (m=0xbffb950, retval=0x0) at pulse/mainloop.c:979
#5  0x00007fffdeffb12b in thread (userdata=0xc955c00) at pulse/thread-mainloop.c:94
#6  0x00007fffdedbc050 in internal_thread_func (userdata=0xc985450) at pulsecore/thread-posix.c:72
#7  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#8  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fffafec8910 (LWP 5732)):
#0  0x00007ffff509a3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fffdd690cbe in my_snd_mixer_wait (data=<value optimized out>) at audio_alsa_out.c:150
#2  ao_alsa_handle_event_thread (data=<value optimized out>) at audio_alsa_out.c:166
#3  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 8 (Thread 0x7fffaaf8a910 (LWP 5733)):
#0  0x00007fffe4865075 in ?? () from /usr/lib/libasound.so.2
#1  0x00007fffe48658f5 in ?? () from /usr/lib/libasound.so.2
#2  0x00007fffe4827370 in ?? () from /usr/lib/libasound.so.2
#3  0x00007fffe4865d8a in ?? () from /usr/lib/libasound.so.2
#4  0x00007fffdd6911e0 in ao_alsa_write (this_gen=0xbef8250, data=0xcec45b0, count=<value optimized out>) at audio_alsa_out.c:799
#5  0x00007fffe419e8a6 in ao_fill_gap (this=0xce55720, pts_len=<value optimized out>) at audio_out.c:480
#6  0x00007fffe41a060d in ao_loop (this_gen=<value optimized out>) at audio_out.c:1217
#7  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#8  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fffbab21910 (LWP 12820)):
#0  0x00007ffff509f412 in select () from /lib/libc.so.6
#1  0x00007fffe41b8725 in xine_usec_sleep (usec=<value optimized out>) at utils.c:481
#2  0x00007fffe419d7e9 in video_out_loop (this_gen=<value optimized out>) at video_out.c:1246
#3  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fffba320910 (LWP 12837)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fffe419354b in fifo_buffer_get (fifo=0x7fffd04c0d10) at buffer.c:230
#2  0x00007fffe419951d in video_decoder_loop (stream_gen=<value optimized out>) at video_decoder.c:130
#3  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fffb9b1f910 (LWP 12838)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fffe419eb67 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:355
#2  fifo_remove_int (this_gen=<value optimized out>) at audio_out.c:363
#3  fifo_remove_nonblock (this_gen=<value optimized out>) at audio_out.c:410
#4  ao_get_buffer (this_gen=<value optimized out>) at audio_out.c:1553
#5  0x00007fffe41acbe2 in post_audio_get_buffer (port_gen=<value optimized out>) at post.c:618
#6  0x00007fffe41acbe2 in post_audio_get_buffer (port_gen=<value optimized out>) at post.c:618
#7  0x00007fffb3d68477 in vorbis_decode_data (this_gen=0xf7d64c0, buf=<value optimized out>) at xine_vorbis_decoder.c:252
#8  0x00007fffe419abf2 in audio_decoder_loop (stream_gen=<value optimized out>) at audio_decoder.c:362
#9  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 4 (Thread 0x7fffbb32c910 (LWP 12839)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fffe41a3a0b in xine_event_wait (queue=0x7fffd0302330) at events.c:56
#2  0x00007fffe41a3a7e in listener_loop (queue_gen=<value optimized out>) at events.c:214
#3  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fffd949f910 (LWP 12840)):
#0  __libc_enable_asynccancel () at libc-cancellation.c:43
#1  0x00007ffff509a3a8 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:85
#2  0x00007fffdeffb20f in poll_func (ufds=0xd943810, nfds=1, timeout=-1, userdata=0xb597b80) at pulse/thread-mainloop.c:75
#3  0x00007fffdefeb5e6 in pa_mainloop_poll (m=0xb739c30) at pulse/mainloop.c:879
#4  0x00007fffdefeceb9 in pa_mainloop_iterate (m=0xb739c30, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#5  0x00007fffdefecf70 in pa_mainloop_run (m=0xb739c30, retval=0x0) at pulse/mainloop.c:979
#6  0x00007fffdeffb12b in thread (userdata=0xb8a4c00) at pulse/thread-mainloop.c:94
#7  0x00007fffdedbc050 in internal_thread_func (userdata=0x7fffd080d080) at pulsecore/thread-posix.c:72
#8  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffb06c9910 (LWP 12841)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fffe4193463 in buffer_pool_alloc (this=0x7fffd082ee00) at buffer.c:90
#2  0x00007fffe41a8060 in _x_demux_send_data (fifo=0x7fffd082ee00, 
    data=0x7fffd03678fd "\214c\216\246'\343\230\243\350\364\326\024Q&\232\221\062\320;J\206\330\351/\352H'U\247\326\327\022\256(\220\335_MU5\251VRWml\360-\376\274dYk}+\357\061?\370\204\351\b.?<G\224\274\017\220\062%\vX\246\200\f\313&\232\065\220\216\357j\253\307\356\324p\206u,iC\247\306Y6u\325m\353\330\256\342`\016\037\301\361-\253\322\252TRMy^\345\024|g\355\264\035\317\241\062u\017@DU", 
    size=59, pts=0, type=3498241792, decoder_flags=2, input_normpos=0, input_time=0, total_time=179613, frame_number=0) at demux.c:620
#3  0x00007fffb66af4c1 in send_ogg_buf (this=0x7fffd2893cb0, op=<value optimized out>, stream_num=0, decoder_flags=0) at demux_ogg.c:629
#4  0x00007fffb66b1e81 in demux_ogg_send_chunk (this_gen=<value optimized out>) at demux_ogg.c:1596
#5  0x00007fffe41a8775 in demux_loop (stream_gen=<value optimized out>) at demux.c:324
#6  0x00007fffeff4ba04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#7  0x00007ffff50a680d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 1 (Thread 0x7ffff7fb8770 (LWP 4983)):
[KCrash Handler]
#5  QIODevicePrivate::isSequential (this=0xd771180) at io/qiodevice_p.h:97
#6  QIODevice::readAll (this=0xd771180) at io/qiodevice.cpp:947
#7  0x00007fffefd050e1 in lastfm::ws::parse(QNetworkReply*) () from /usr/lib/liblastfm.so.0
#8  0x00007fffefd1efd5 in lastfm::Artist::getSimilar(QNetworkReply*) () from /usr/lib/liblastfm.so.0
#9  0x00007fffd50aa1cb in Dynamic::SimilarArtistsBias::artistQueryDone (this=0xac9cb30) at /build/buildd/amarok-2.2.2/src/services/lastfm/biases/SimilarArtistsBias.cpp:169
#10 0x00007fffd50aa8f5 in Dynamic::SimilarArtistsBias::qt_metacall (this=0xac9cb30, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffffffae00)
    at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/services/lastfm/SimilarArtistsBias.moc:74
#11 0x00007ffff59b6ddc in QMetaObject::activate (sender=0x11039010, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3113
#12 0x00007fffd50afa48 in KNetworkReply::jobDone (this=0x11039010, kJob=<value optimized out>) at /build/buildd/amarok-2.2.2/src/services/lastfm/kdenetwork/knetworkreply.cpp:153
#13 0x00007fffd50b0683 in KNetworkReply::qt_metacall (this=0x11039010, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffffffb060)
    at /build/buildd/amarok-2.2.2/obj-x86_64-linux-gnu/src/services/lastfm/knetworkreply.moc:73
#14 0x00007ffff59b6ddc in QMetaObject::activate (sender=0xc142f20, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3113
#15 0x00007ffff5d8ce62 in KJob::result(KJob*) () from /usr/lib/libkdecore.so.5
#16 0x00007ffff5d8d1df in KJob::emitResult() () from /usr/lib/libkdecore.so.5
#17 0x00007fffef4dd193 in KIO::SimpleJob::slotFinished() () from /usr/lib/libkio.so.5
#18 0x00007fffef4dd653 in KIO::TransferJob::slotFinished() () from /usr/lib/libkio.so.5
#19 0x00007fffef4dbf61 in KIO::TransferJob::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkio.so.5
#20 0x00007ffff59b6ddc in QMetaObject::activate (sender=0xada8510, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3113
#21 0x00007fffef59f141 in KIO::SlaveInterface::dispatch(int, QByteArray const&) () from /usr/lib/libkio.so.5
#22 0x00007fffef59b9f3 in KIO::SlaveInterface::dispatch() () from /usr/lib/libkio.so.5
#23 0x00007fffef58e76d in KIO::Slave::gotInput() () from /usr/lib/libkio.so.5
#24 0x00007fffef59092c in KIO::Slave::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkio.so.5
#25 0x00007ffff59b6ddc in QMetaObject::activate (sender=0xdec0120, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3113
#26 0x00007fffef4aa287 in ?? () from /usr/lib/libkio.so.5
#27 0x00007fffef4aa3ad in KIO::Connection::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkio.so.5
#28 0x00007ffff59b10f9 in QObject::event (this=0xdec0120, e=0xa9c87f0) at kernel/qobject.cpp:1111
#29 0x00007ffff62c5efc in QApplicationPrivate::notify_helper (this=0x75f520, receiver=0xdec0120, e=0xa9c87f0) at kernel/qapplication.cpp:4056
#30 0x00007ffff62cd1ce in QApplication::notify (this=0x7fffffffc2a0, receiver=0xdec0120, e=0xa9c87f0) at kernel/qapplication.cpp:4021
#31 0x00007ffff72498ea in App::notify (this=0x21, receiver=0xd771180, event=0xd842301) at /build/buildd/amarok-2.2.2/src/App.cpp:856
#32 0x00007ffff59a1c2c in QCoreApplication::notifyInternal (this=0x7fffffffc2a0, receiver=0xdec0120, event=0xa9c87f0) at kernel/qcoreapplication.cpp:610
#33 0x00007ffff59a280a in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x623f60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x623f60) at kernel/qcoreapplication.cpp:1247
#35 0x00007ffff59ca533 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#36 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210
#37 0x00007fffee636bce in g_main_dispatch (context=0x759920) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:1960
#38 IA__g_main_context_dispatch (context=0x759920) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2513
#39 0x00007fffee63a598 in g_main_context_iterate (context=0x759920, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2591
#40 0x00007fffee63a6c0 in IA__g_main_context_iteration (context=0x759920, may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#41 0x00007ffff59ca1a6 in QEventDispatcherGlib::processEvents (this=0x623b90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#42 0x00007ffff635a4be in QGuiEventDispatcherGlib::processEvents (this=0x21, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#43 0x00007ffff59a0532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#44 0x00007ffff59a0904 in QEventLoop::exec (this=0x7fffffffc230, flags=) at kernel/qeventloop.cpp:201
#45 0x00007ffff59a2ab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#46 0x000000000040a254 in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/amarok-2.2.2/src/main.cpp:235
The current source language is "auto; currently asm".
The current source language is "auto; currently c".

This bug may be a duplicate of or related to bug 200546

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-02-07 12:45:39 UTC

*** This bug has been marked as a duplicate of bug 212115 ***
Comment 2 Leo Franchi 2010-02-14 17:34:55 UTC
Looks like a crash in Qt, on-off, or at least, not something reproducible that i've seen before. 

#5  QIODevicePrivate::isSequential (this=0xd771180) at io/qiodevice_p.h:97
#6  QIODevice::readAll (this=0xd771180) at io/qiodevice.cpp:947

valorie---can you reproduce this? does this happen regularly at all?
Comment 3 Mikko C. 2010-03-04 12:27:30 UTC
*** Bug 228094 has been marked as a duplicate of this bug. ***
Comment 4 Myriam Schweingruber 2010-03-16 02:25:28 UTC
Confirmed by duplicate.
Comment 5 Myriam Schweingruber 2010-03-16 02:25:46 UTC
*** Bug 230838 has been marked as a duplicate of this bug. ***
Comment 6 Soren Harward 2010-04-26 02:17:17 UTC
*** Bug 235389 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2010-05-29 16:33:49 UTC
Valorie, is this still valid with current git?
Comment 8 Valorie Zimmerman 2010-06-01 04:42:20 UTC
I tested for a few hours with no problem. So it appears to be fixed.